bitel.billing.server.contract.bean

## Class ContractTariffGroupManager

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractTariffGroupManager

- Deprecated.
  use `ContractTariffGroupDao`

      @Deprecated
      public class ContractTariffGroupManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffGroupManager(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteContractTariffGroup(int id)` Deprecated. Удаляет группу тарифов по ее коду
    `void` | `deleteContractTariffGroup(int cid, int gid)` Deprecated. Удаляет группу тарифов по id контракта и id группы
    `ContractTariffGroup` | `getContractTariffGroupById(int id)` Deprecated. Возвращает группу тарифов по ее коду
    `java.util.List<java.lang.Integer>` | `getContractTariffGroupIds(int cid, java.util.Date date)` Deprecated. Возвращает список групп тарифов для данного договора на определенную дату
    `java.util.List<ContractTariffGroup>` | `getContractTariffGroupList(int cid)` Deprecated. Возвращает список групп тарифов для данного договора
    `boolean` | `isExistsContractTariffGroup(int cid, int gid)` Deprecated. Присутствует ли группа тарифов у договора
    `void` | `updateContractTariffGroup(ContractTariffGroup value)` Deprecated. Обновляет группу тарифов

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffGroupManager

          public ContractTariffGroupManager(java.sql.Connection con)

      Deprecated.

  - ### Method Detail

    - #### getContractTariffGroupList

          public java.util.List<ContractTariffGroup> getContractTariffGroupList(int cid)

      Deprecated.
      Возвращает список групп тарифов для данного договора
      Parameters:
        `cid` - код договора
      Returns:

    - #### getContractTariffGroupIds

          public java.util.List<java.lang.Integer> getContractTariffGroupIds(int cid,
                                                                             java.util.Date date)

      Deprecated.
      Возвращает список групп тарифов для данного договора на определенную дату
      Parameters:
        `cid` - код договора
        `date` - дата
      Returns:

    - #### getContractTariffGroupById

          public ContractTariffGroup getContractTariffGroupById(int id)

      Deprecated.
      Возвращает группу тарифов по ее коду
      Parameters:
        `id` - код группы тарифов
      Returns:

    - #### updateContractTariffGroup

          public void updateContractTariffGroup(ContractTariffGroup value)
                                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Обновляет группу тарифов
      Parameters:
        `value` - значение
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractTariffGroup

          public void deleteContractTariffGroup(int id)
                                         throws java.sql.SQLException

      Deprecated.
      Удаляет группу тарифов по ее коду
      Parameters:
        `id` - код группы тарифов
      Throws:
        `java.sql.SQLException`

    - #### deleteContractTariffGroup

          public void deleteContractTariffGroup(int cid,
                                                int gid)
                                         throws java.sql.SQLException

      Deprecated.
      Удаляет группу тарифов по id контракта и id группы
      Parameters:
        `cid` - код контракта
        `gid` - код группы тарифов
      Throws:
        `java.sql.SQLException`

    - #### isExistsContractTariffGroup

          public boolean isExistsContractTariffGroup(int cid,
                                                     int gid)

      Deprecated.
      Присутствует ли группа тарифов у договора
      Parameters:
        `cid` - ид договора
        `gid` - ид группы тарифов
      Returns:
        труе - если присутствует